dnl======================================================================
dnl GDS_CHECK_ZLIB
dnl   Check if ZLIB is installed
dnl======================================================================

AC_DEFUN([AC_GDS_CHECK_ZLIB],
[
found_zutil=no
zlibcflags=
zliblibs="-lz"
have_libz=no
AC_CHECK_LIB([z], inflate, have_libz="yes", have_libz="no")
libp=`echo $LD_LIBRARY_PATH | sed -e s,::,:,g -e 's,/lib\(64\)*\:, ,g' -e 's,/lib\(64\)*$,,g'`
for p in $libp /usr/local /usr ; do
if test -f $p/include/zutil.h ; then
zlibcflags="-I$p/include"
zliblibs="-L$p/lib -lz"
found_zutil=yes
break
elif test -f $p/include/zlib.h ; then
zlibcflags="-I$p/include"
fi
done
AM_CONDITIONAL([have_zutil], [test "$found_zutil" = "yes"])
AC_SUBST(zlibcflags)
AC_SUBST(zliblibs)
if test $have_libz = "no" ; then
AC_MSG_ERROR([libz not found])
fi
])
